## r-cran-checkmate 1.5.0

=== DESCRIPTION ===
Package: checkmate
Type: Package
Title: Fast and versatile argument checks
Description: Tests and assertions to perform frequent argument checks. A
    substantial part of the package was written in C to minimize any worries
    about execution time overhead.
Version: 1.5.0
Author: Michel Lang <michellang@gmail.com>,
    Bernd Bischl <bernd_bischl@gmx.net>
Maintainer: Michel Lang <michellang@gmail.com>
URL: https://github.com/mllg/checkmate
BugReports: https://github.com/mllg/checkmate/issues
NeedsCompilation: yes
ByteCompile: yes
Encoding: UTF-8
Depends: R (>= 2.15.0)
Suggests: testthat
License: BSD_3_clause + file LICENSE
Packaged: 2014-10-18 20:58:35 UTC; lang
Repository: CRAN
Date/Publication: 2014-10-19 01:41:06

## r-cran-checkmate 1.1

=== debian/changelog ===
r-cran-checkmate (1.1-1) unstable; urgency=low

  * Initial release (Closes: #754509)

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jul 2014 11:49:34 +0200

=== debian/control ===
Source: r-cran-checkmate
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
XS-Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev (>= 3.0.0)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/packages/trunk/R/r-cran-checkmate/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-checkmate/trunk/
Homepage: http://cran.r-project.org/web/packages/checkmate/

Package: r-cran-checkmate
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends}
Description: GNU R fast and versatile argument checks
 This GNU R package tests and assertions to perform frequent argument
 checks. A substantial part of the package was written in C to minimize
 any worries about execution time overhead.

## r-cran-checkmate 1.5.0

=== debian/changelog ===
r-cran-checkmate (1.5.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 25 Oct 2014 19:49:06 +0200

r-cran-checkmate (1.4-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * d/copyright: fix DEP5 license name

 -- Andreas Tille <tille@debian.org>  Thu, 02 Oct 2014 13:08:17 +0200

r-cran-checkmate (1.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 08 Aug 2014 15:19:14 +0200

## r-cran-checkmate 1.6.0

=== DESCRIPTION ===
Package: checkmate
Type: Package
Title: Fast and Versatile Argument Checks
Description: Tests and assertions to perform frequent argument checks. A
    substantial part of the package was written in C to minimize any worries
    about execution time overhead.
Version: 1.6.0
Author: Michel Lang <michellang@gmail.com>,
    Bernd Bischl <bernd_bischl@gmx.net>
Maintainer: Michel Lang <michellang@gmail.com>
URL: https://github.com/mllg/checkmate
BugReports: https://github.com/mllg/checkmate/issues
NeedsCompilation: yes
ByteCompile: yes
Encoding: UTF-8
Depends: R (>= 3.0.0)
Suggests: testthat, knitr
License: BSD_3_clause + file LICENSE
VignetteBuilder: knitr
Packaged: 2015-06-19 09:24:29 UTC; lang
Repository: CRAN
Date/Publication: 2015-06-19 13:15:20

=== debian/changelog ===
r-cran-checkmate (1.6.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jun 2015 11:29:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
-XS-Testsuite: autopkgtest
+Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev (>= 3.0.0)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/packages/trunk/R/r-cran-checkmate/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-checkmate/trunk/
 Homepage: http://cran.r-project.org/web/packages/checkmate/

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/checkmate_([-\d.]*)\.tar\.gz

## r-cran-checkmate 1.8.2

=== DESCRIPTION ===
Package: checkmate
Type: Package
Title: Fast and Versatile Argument Checks
Description: Tests and assertions to perform frequent argument checks. A
    substantial part of the package was written in C to minimize any worries
    about execution time overhead.
Version: 1.8.2
Authors@R: c(
    person("Michel", "Lang", NULL, "michellang@gmail.com", role = c("cre", "aut")),
    person("Bernd", "Bischl", NULL, "bernd_bischl@gmx.de", role = "ctb")
    )
URL: https://github.com/mllg/checkmate
URLNote: https://github.com/mllg/checkmate
BugReports: https://github.com/mllg/checkmate/issues
NeedsCompilation: yes
ByteCompile: yes
Encoding: UTF-8
Depends: R (>= 3.0.0)
Imports: backports, utils
Suggests: data.table, devtools, ggplot2, knitr, rmarkdown, magrittr,
        microbenchmark, testthat (>= 0.11.0), tibble
License: BSD_3_clause + file LICENSE
VignetteBuilder: knitr
RoxygenNote: 5.0.1
Collate: 'AssertCollection.R' 'allMissing.R' 'anyInfinite.R'
        'anyMissing.R' 'anyNaN.R' 'asInteger.R' 'assert.R' 'helper.R'
        'makeExpectation.R' 'makeTest.R' 'makeAssertion.R'
        'checkAccess.R' 'checkArray.R' 'checkAtomic.R'
        'checkAtomicVector.R' 'checkCharacter.R' 'checkChoice.R'
        'checkClass.R' 'checkComplex.R' 'checkCount.R'
        'checkDataFrame.R' 'checkDataTable.R' 'checkDate.R'
        'checkDirectoryExists.R' 'checkEnvironment.R' 'checkFactor.R'
        'checkFileExists.R' 'checkFlag.R' 'checkFunction.R'
        'checkInt.R' 'checkInteger.R' 'checkIntegerish.R' 'checkList.R'
        'checkLogical.R' 'checkMatrix.R' 'checkNamed.R' 'checkNames.R'
        'checkNull.R' 'checkNumber.R' 'checkNumeric.R' 'checkOS.R'
        'checkPathForOutput.R' 'checkScalar.R' 'checkScalarNA.R'
        'checkSetEqual.R' 'checkString.R' 'checkSubset.R'
        'checkTibble.R' 'checkVector.R' 'coalesce.R' 'isIntegerish.R'
        'matchArg.R' 'qassert.R' 'qassertr.R' 'vname.R' 'wfwl.R'
        'zzz.R'
Packaged: 2016-11-02 09:34:07 UTC; lang
Author: Michel Lang [cre, aut],
  Bernd Bischl [ctb]
Maintainer: Michel Lang <michellang@gmail.com>
Repository: CRAN
Date/Publication: 2016-11-02 18:15:25

=== debian/changelog ===
r-cran-checkmate (1.8.2-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2016 11:00:03 +0100

r-cran-checkmate (1.8.1-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * New Build-Depends: r-cran-backports

 -- Andreas Tille <tille@debian.org>  Tue, 01 Nov 2016 10:59:40 +0100

=== debian/control ===
Source: r-cran-checkmate
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev (>= 3.0.0),
               r-cran-backports
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/packages/trunk/R/r-cran-checkmate/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-checkmate/trunk/
Homepage: https://cran.r-project.org/package=checkmate

Package: r-cran-checkmate
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R fast and versatile argument checks
 This GNU R package tests and assertions to perform frequent argument
 checks. A substantial part of the package was written in C to minimize
 any worries about execution time overhead.

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/checkmate_([-\d.]*)\.tar\.gz

## r-cran-checkmate 1.8.5

=== DESCRIPTION ===
Package: checkmate
Type: Package
Title: Fast and Versatile Argument Checks
Description: Tests and assertions to perform frequent argument checks. A
    substantial part of the package was written in C to minimize any worries
    about execution time overhead.
Version: 1.8.5
Authors@R: c(
    person("Michel", "Lang", NULL, "michellang@gmail.com", role = c("cre", "aut")),
    person("Bernd", "Bischl", NULL, "bernd_bischl@gmx.de", role = "ctb")
    )
URL: https://github.com/mllg/checkmate
URLNote: https://github.com/mllg/checkmate
BugReports: https://github.com/mllg/checkmate/issues
NeedsCompilation: yes
ByteCompile: yes
Encoding: UTF-8
Depends: R (>= 3.0.0)
Imports: backports (>= 1.1.0), utils
Suggests: R6, bit, fastmatch, data.table (>= 1.9.8), devtools, ggplot2,
        knitr, magrittr, microbenchmark, rmarkdown, testthat (>=
        0.11.0), tibble
License: BSD_3_clause + file LICENSE
VignetteBuilder: knitr
RoxygenNote: 6.0.1
Collate: 'AssertCollection.R' 'allMissing.R' 'anyInfinite.R'
        'anyMissing.R' 'anyNaN.R' 'asInteger.R' 'assert.R' 'helper.R'
        'makeExpectation.R' 'makeTest.R' 'makeAssertion.R'
        'checkAccess.R' 'checkArray.R' 'checkAtomic.R'
        'checkAtomicVector.R' 'checkBit.R' 'checkCharacter.R'
        'checkChoice.R' 'checkClass.R' 'checkComplex.R' 'checkCount.R'
        'checkDataFrame.R' 'checkDataTable.R' 'checkDate.R'
        'checkDirectoryExists.R' 'checkEnvironment.R' 'checkFALSE.R'
        'checkFactor.R' 'checkFileExists.R' 'checkFlag.R'
        'checkFunction.R' 'checkInt.R' 'checkInteger.R'
        'checkIntegerish.R' 'checkList.R' 'checkLogical.R'
        'checkMatrix.R' 'checkNamed.R' 'checkNames.R' 'checkNull.R'
        'checkNumber.R' 'checkNumeric.R' 'checkOS.R' 'checkPOSIXct.R'
        'checkPathForOutput.R' 'checkR6.R' 'checkScalar.R'
        'checkScalarNA.R' 'checkSetEqual.R' 'checkString.R'
        'checkSubset.R' 'checkTRUE.R' 'checkTibble.R' 'checkVector.R'
        'coalesce.R' 'isIntegerish.R' 'matchArg.R' 'qassert.R'
        'qassertr.R' 'vname.R' 'wfwl.R' 'zzz.R'
Packaged: 2017-10-24 12:50:38 UTC; lang
Author: Michel Lang [cre, aut],
  Bernd Bischl [ctb]
Maintainer: Michel Lang <michellang@gmail.com>
Repository: CRAN
Date/Publication: 2017-10-24 13:28:31 UTC

=== debian/changelog ===
r-cran-checkmate (1.8.5-1ubuntu1) bionic; urgency=medium

  * Add test Depends: r-cran-fastmatch

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 27 Nov 2017 11:51:52 +0000

r-cran-checkmate (1.8.5-1) unstable; urgency=medium

  * New upstream version
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Sat, 11 Nov 2017 08:49:01 +0100

r-cran-checkmate (1.8.4-1) unstable; urgency=medium

  * New upstream version
  * Fix Vcs-Browser
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2017 16:46:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-checkmate
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
@@ -7,9 +8,9 @@
                dh-r,
                r-base-dev (>= 3.0.0),
                r-cran-backports
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/packages/trunk/R/r-cran-checkmate/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-checkmate/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-checkmate.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-checkmate.git
 Homepage: https://cran.r-project.org/package=checkmate
 
 Package: r-cran-checkmate

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-fastmatch
Restrictions: allow-stderr

## r-cran-checkmate 1.9.1

=== debian/changelog ===
r-cran-checkmate (1.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add r-cran-data.table to Test-Deps. (Closes: #919562)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 18 Jan 2019 08:04:22 +0100

r-cran-checkmate (1.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Dylan Aïssi <daissi@debian.org>  Sun, 13 Jan 2019 08:11:17 +0100

r-cran-checkmate (1.8.5-2) unstable; urgency=medium

  [ Graham Inggs ]
  * Add test Depends: r-cran-fastmatch

  [ Andreas Tille ]
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jun 2018 16:49:59 +0200

=== debian/control ===
Source: r-cran-checkmate
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-backports (>= 1.1.0)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-checkmate
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-checkmate.git
Homepage: https://cran.r-project.org/package=checkmate

Package: r-cran-checkmate
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R fast and versatile argument checks
 This GNU R package tests and assertions to perform frequent argument
 checks. A substantial part of the package was written in C to minimize
 any worries about execution time overhead.

## r-cran-checkmate 1.9.4

=== debian/changelog ===
r-cran-checkmate (1.9.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.0

 -- Dylan Aïssi <daissi@debian.org>  Fri, 19 Jul 2019 10:58:30 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-backports (>= 1.1.0)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-checkmate
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-checkmate.git
 Homepage: https://cran.r-project.org/package=checkmate

## r-cran-checkmate 2.0.0

=== DESCRIPTION ===
Package: checkmate
Type: Package
Title: Fast and Versatile Argument Checks
Description: Tests and assertions to perform frequent argument checks. A
    substantial part of the package was written in C to minimize any worries
    about execution time overhead.
Version: 2.0.0
Authors@R: c(
    person("Michel", "Lang", NULL, "michellang@gmail.com",
      role = c("cre", "aut"), comment = c(ORCID = "0000-0001-9754-0393")),
    person("Bernd", "Bischl", NULL, "bernd_bischl@gmx.net", role = "ctb")
    )
URL: https://github.com/mllg/checkmate
URLNote: https://github.com/mllg/checkmate
BugReports: https://github.com/mllg/checkmate/issues
NeedsCompilation: yes
ByteCompile: yes
Encoding: UTF-8
Depends: R (>= 3.0.0)
Imports: backports (>= 1.1.0), utils
Suggests: R6, fastmatch, data.table (>= 1.9.8), devtools, ggplot2,
        knitr, magrittr, microbenchmark, rmarkdown, testthat (>=
        0.11.0), tinytest (>= 1.1.0), tibble
License: BSD_3_clause + file LICENSE
VignetteBuilder: knitr
RoxygenNote: 7.0.2
Collate: 'AssertCollection.R' 'allMissing.R' 'anyInfinite.R'
        'anyMissing.R' 'anyNaN.R' 'asInteger.R' 'assert.R' 'helper.R'
        'makeExpectation.R' 'makeTest.R' 'makeAssertion.R'
        'checkAccess.R' 'checkArray.R' 'checkAtomic.R'
        'checkAtomicVector.R' 'checkCharacter.R' 'checkChoice.R'
        'checkClass.R' 'checkComplex.R' 'checkCount.R'
        'checkDataFrame.R' 'checkDataTable.R' 'checkDate.R'
        'checkDirectoryExists.R' 'checkDisjunct.R' 'checkDouble.R'
        'checkEnvironment.R' 'checkFALSE.R' 'checkFactor.R'
        'checkFileExists.R' 'checkFlag.R' 'checkFormula.R'
        'checkFunction.R' 'checkInt.R' 'checkInteger.R'
        'checkIntegerish.R' 'checkList.R' 'checkLogical.R'
        'checkMatrix.R' 'checkMultiClass.R' 'checkNamed.R'
        'checkNames.R' 'checkNull.R' 'checkNumber.R' 'checkNumeric.R'
        'checkOS.R' 'checkPOSIXct.R' 'checkPathForOutput.R' 'checkR6.R'
        'checkRaw.R' 'checkScalar.R' 'checkScalarNA.R'
        'checkSetEqual.R' 'checkString.R' 'checkSubset.R' 'checkTRUE.R'
        'checkTibble.R' 'checkVector.R' 'coalesce.R' 'isIntegerish.R'
        'matchArg.R' 'qassert.R' 'qassertr.R' 'vname.R' 'wfwl.R'
        'zzz.R'
Packaged: 2020-02-05 12:51:29 UTC; michel
Author: Michel Lang [cre, aut] (<https://orcid.org/0000-0001-9754-0393>),
  Bernd Bischl [ctb]
Maintainer: Michel Lang <michellang@gmail.com>
Repository: CRAN
Date/Publication: 2020-02-06 01:00:13 UTC

=== debian/changelog ===
r-cran-checkmate (2.0.0-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:08:28 +0000

r-cran-checkmate (2.0.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 09 Feb 2020 16:30:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-backports (>= 1.1.0)
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-checkmate
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-checkmate.git
 Homepage: https://cran.r-project.org/package=checkmate

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-fastmatch, r-cran-data.table
Restrictions: allow-stderr

## r-cran-checkmate 2.1.0

=== debian/changelog ===
r-cran-checkmate (2.1.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 27 Apr 2022 11:59:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-backports (>= 1.1.0)
-Standards-Version: 4.5.0
+               r-cran-backports
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-checkmate
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-checkmate.git
 Homepage: https://cran.r-project.org/package=checkmate
+Rules-Requires-Root: no
 
 Package: r-cran-checkmate
 Architecture: any

## r-cran-checkmate 2.2.0

=== debian/changelog ===
r-cran-checkmate (2.2.0-3) unstable; urgency=medium

  * Fix test for 32bit architectures

 -- Andreas Tille <tille@debian.org>  Thu, 17 Aug 2023 16:00:07 +0200

r-cran-checkmate (2.2.0-2) unstable; urgency=medium

  * Exclude tests on 32bit architectures
    Closes: #1041556

 -- Andreas Tille <tille@debian.org>  Wed, 16 Aug 2023 09:16:53 +0200

r-cran-checkmate (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Override false positive (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Jun 2023 15:12:04 +0200

## r-cran-checkmate 2.3.1

=== DESCRIPTION ===
Package: checkmate
Type: Package
Title: Fast and Versatile Argument Checks
Description: Tests and assertions to perform frequent argument checks. A
    substantial part of the package was written in C to minimize any worries
    about execution time overhead.
Version: 2.3.1
Authors@R: c(
    person("Michel", "Lang", NULL, "michellang@gmail.com",
      role = c("cre", "aut"), comment = c(ORCID = "0000-0001-9754-0393")),
    person("Bernd", "Bischl", NULL, "bernd_bischl@gmx.net", role = "ctb"),
    person("Dénes", "Tóth", NULL, "toth.denes@kogentum.hu", role = "ctb",
      comment = c(ORCID = "0000-0003-4262-3217"))
    )
URL: https://mllg.github.io/checkmate/,
        https://github.com/mllg/checkmate
URLNote: https://github.com/mllg/checkmate
BugReports: https://github.com/mllg/checkmate/issues
NeedsCompilation: yes
ByteCompile: yes
Encoding: UTF-8
Depends: R (>= 3.0.0)
Imports: backports (>= 1.1.0), utils
Suggests: R6, fastmatch, data.table (>= 1.9.8), devtools, ggplot2,
        knitr, magrittr, microbenchmark, rmarkdown, testthat (>=
        3.0.4), tinytest (>= 1.1.0), tibble
License: BSD_3_clause + file LICENSE
VignetteBuilder: knitr
RoxygenNote: 7.2.3
Collate: 'AssertCollection.R' 'allMissing.R' 'anyInfinite.R'
        'anyMissing.R' 'anyNaN.R' 'asInteger.R' 'assert.R' 'helper.R'
        'makeExpectation.R' 'makeTest.R' 'makeAssertion.R'
        'checkAccess.R' 'checkArray.R' 'checkAtomic.R'
        'checkAtomicVector.R' 'checkCharacter.R' 'checkChoice.R'
        'checkClass.R' 'checkComplex.R' 'checkCount.R'
        'checkDataFrame.R' 'checkDataTable.R' 'checkDate.R'
        'checkDirectoryExists.R' 'checkDisjunct.R' 'checkDouble.R'
        'checkEnvironment.R' 'checkFALSE.R' 'checkFactor.R'
        'checkFileExists.R' 'checkFlag.R' 'checkFormula.R'
        'checkFunction.R' 'checkInt.R' 'checkInteger.R'
        'checkIntegerish.R' 'checkList.R' 'checkLogical.R'
        'checkMatrix.R' 'checkMultiClass.R' 'checkNamed.R'
        'checkNames.R' 'checkNull.R' 'checkNumber.R' 'checkNumeric.R'
        'checkOS.R' 'checkPOSIXct.R' 'checkPathForOutput.R'
        'checkPermutation.R' 'checkR6.R' 'checkRaw.R' 'checkScalar.R'
        'checkScalarNA.R' 'checkSetEqual.R' 'checkString.R'
        'checkSubset.R' 'checkTRUE.R' 'checkTibble.R' 'checkVector.R'
        'coalesce.R' 'isIntegerish.R' 'matchArg.R' 'qassert.R'
        'qassertr.R' 'vname.R' 'wfwl.R' 'zzz.R'
Packaged: 2023-12-04 09:19:04 UTC; michel
Author: Michel Lang [cre, aut] (<https://orcid.org/0000-0001-9754-0393>),
  Bernd Bischl [ctb],
  Dénes Tóth [ctb] (<https://orcid.org/0000-0003-4262-3217>)
Maintainer: Michel Lang <michellang@gmail.com>
Repository: CRAN
Date/Publication: 2023-12-04 10:20:02 UTC

=== debian/changelog ===
r-cran-checkmate (2.3.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2023 11:50:04 +0100

r-cran-checkmate (2.3.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 02 Nov 2023 17:11:40 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-backports
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-checkmate
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-checkmate.git
 Homepage: https://cran.r-project.org/package=checkmate

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-r6,
        r-cran-fastmatch,
        r-cran-data.table (>= 1.9.8),
        r-cran-devtools,
        r-cran-ggplot2,
        r-cran-knitr,
        r-cran-magrittr,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.4),
        r-cran-tinytest (>= 1.1.0),
        r-cran-tibble
Restrictions: allow-stderr

## r-cran-checkmate 2.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Description: Tests and assertions to perform frequent argument checks. A
     substantial part of the package was written in C to minimize any worries
     about execution time overhead.
-Version: 2.3.1
+Version: 2.3.2
 Authors@R: c(
     person("Michel", "Lang", NULL, "michellang@gmail.com",
       role = c("cre", "aut"), comment = c(ORCID = "0000-0001-9754-0393")),
@@ -26,7 +26,7 @@
         3.0.4), tinytest (>= 1.1.0), tibble
 License: BSD_3_clause + file LICENSE
 VignetteBuilder: knitr
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 Collate: 'AssertCollection.R' 'allMissing.R' 'anyInfinite.R'
         'anyMissing.R' 'anyNaN.R' 'asInteger.R' 'assert.R' 'helper.R'
         'makeExpectation.R' 'makeTest.R' 'makeAssertion.R'
@@ -47,10 +47,10 @@
         'checkSubset.R' 'checkTRUE.R' 'checkTibble.R' 'checkVector.R'
         'coalesce.R' 'isIntegerish.R' 'matchArg.R' 'qassert.R'
         'qassertr.R' 'vname.R' 'wfwl.R' 'zzz.R'
-Packaged: 2023-12-04 09:19:04 UTC; michel
+Packaged: 2024-07-29 09:26:26 UTC; michel
 Author: Michel Lang [cre, aut] (<https://orcid.org/0000-0001-9754-0393>),
   Bernd Bischl [ctb],
   Dénes Tóth [ctb] (<https://orcid.org/0000-0003-4262-3217>)
 Maintainer: Michel Lang <michellang@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-12-04 10:20:02 UTC
+Date/Publication: 2024-07-29 12:30:06 UTC

=== debian/changelog ===
r-cran-checkmate (2.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 04 Oct 2024 08:31:10 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-backports
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-checkmate
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-checkmate.git
 Homepage: https://cran.r-project.org/package=checkmate

=== debian/tests/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
         r-cran-ggplot2,
         r-cran-knitr,
         r-cran-magrittr,
+        r-cran-microbenchmark,
         r-cran-rmarkdown,
         r-cran-testthat (>= 3.0.4),
         r-cran-tinytest (>= 1.1.0),

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/checkmate_([-\d.]*)\.tar\.gz

## r-cran-checkmate 2.3.3

=== debian/changelog ===
r-cran-checkmate (2.3.3-1) unstable; urgency=medium

  * Team upload.
  * Remove patch that suppressed tests on 32-bit platforms.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 12 Dec 2025 17:10:09 +0900

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-backports
-Standards-Version: 4.7.0
+               r-cran-backports,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-checkmate
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-checkmate.git
 Homepage: https://cran.r-project.org/package=checkmate

## r-cran-checkmate 2.3.4

=== DESCRIPTION ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Description: Tests and assertions to perform frequent argument checks. A
     substantial part of the package was written in C to minimize any worries
     about execution time overhead.
-Version: 2.3.2
+Version: 2.3.4
 Authors@R: c(
     person("Michel", "Lang", NULL, "michellang@gmail.com",
       role = c("cre", "aut"), comment = c(ORCID = "0000-0001-9754-0393")),
@@ -26,7 +26,7 @@
         3.0.4), tinytest (>= 1.1.0), tibble
 License: BSD_3_clause + file LICENSE
 VignetteBuilder: knitr
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 Collate: 'AssertCollection.R' 'allMissing.R' 'anyInfinite.R'
         'anyMissing.R' 'anyNaN.R' 'asInteger.R' 'assert.R' 'helper.R'
         'makeExpectation.R' 'makeTest.R' 'makeAssertion.R'
@@ -47,10 +47,10 @@
         'checkSubset.R' 'checkTRUE.R' 'checkTibble.R' 'checkVector.R'
         'coalesce.R' 'isIntegerish.R' 'matchArg.R' 'qassert.R'
         'qassertr.R' 'vname.R' 'wfwl.R' 'zzz.R'
-Packaged: 2024-07-29 09:26:26 UTC; michel
-Author: Michel Lang [cre, aut] (<https://orcid.org/0000-0001-9754-0393>),
+Packaged: 2026-02-02 10:59:55 UTC; michel
+Author: Michel Lang [cre, aut] (ORCID: <https://orcid.org/0000-0001-9754-0393>),
   Bernd Bischl [ctb],
-  Dénes Tóth [ctb] (<https://orcid.org/0000-0003-4262-3217>)
+  Dénes Tóth [ctb] (ORCID: <https://orcid.org/0000-0003-4262-3217>)
 Maintainer: Michel Lang <michellang@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-07-29 12:30:06 UTC
+Date/Publication: 2026-02-03 08:40:02 UTC

=== debian/changelog ===
r-cran-checkmate (2.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Sun, 15 Feb 2026 09:58:06 +0900

=== debian/control ===
Source: r-cran-checkmate
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-backports,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-checkmate
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-checkmate.git
Homepage: https://cran.r-project.org/package=checkmate
Rules-Requires-Root: no

Package: r-cran-checkmate
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R fast and versatile argument checks
 This GNU R package tests and assertions to perform frequent argument
 checks. A substantial part of the package was written in C to minimize
 any worries about execution time overhead.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-r6,
 r-cran-fastmatch,
 r-cran-data.table (>= 1.9.8),
 r-cran-devtools,
 r-cran-ggplot2,
 r-cran-knitr,
 r-cran-magrittr,
 r-cran-microbenchmark,
 r-cran-rmarkdown,
 r-cran-testthat (>= 3.0.4),
 r-cran-tinytest (>= 1.1.0),
 r-cran-tibble,
